Listar meios de recebimento
curl --request GET \
--url https://api.tiny.com.br/public-api/v3/meios-recebimento \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tiny.com.br/public-api/v3/meios-recebimento"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tiny.com.br/public-api/v3/meios-recebimento', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tiny.com.br/public-api/v3/meios-recebimento",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tiny.com.br/public-api/v3/meios-recebimento"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tiny.com.br/public-api/v3/meios-recebimento")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tiny.com.br/public-api/v3/meios-recebimento")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"itens": [
{
"id": 123,
"nome": "<string>",
"tipo": "banco",
"situacao": 1,
"formas": [
123
],
"detalhes": {
"tipo": "banco",
"banco": "001",
"descricao": "<string>"
}
}
]
}{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Meios de recebimento
Listar meios de recebimento
Lista os meios de recebimento (bancos e gateways) da empresa, sem paginação. Meios com configuração incompleta ou inválida não são retornados: bancos sem configuração bancária ou com código de banco desconhecido e gateways sem gateway válido.
GET
/
meios-recebimento
Listar meios de recebimento
curl --request GET \
--url https://api.tiny.com.br/public-api/v3/meios-recebimento \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tiny.com.br/public-api/v3/meios-recebimento"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tiny.com.br/public-api/v3/meios-recebimento', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tiny.com.br/public-api/v3/meios-recebimento",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tiny.com.br/public-api/v3/meios-recebimento"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tiny.com.br/public-api/v3/meios-recebimento")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tiny.com.br/public-api/v3/meios-recebimento")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"itens": [
{
"id": 123,
"nome": "<string>",
"tipo": "banco",
"situacao": 1,
"formas": [
123
],
"detalhes": {
"tipo": "banco",
"banco": "001",
"descricao": "<string>"
}
}
]
}{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Query Parameters
Pesquisa pelo tipo do meio de recebimento
- banco - Banco
- gateway - Gateway
Available options:
banco, gateway Pesquisa pelo código do banco. Retorna apenas meios do tipo banco
- 001 - Banco Brasil
- 033 - Santander
- 041 - Banrisul
- 104 - Caixa Sicob
- 104_SIGCB - Caixa Sigcb
- 237 - Bradesco
- 341 - Itau
- 399 - Hsbc
- 748 - Sicredi
- 756 - Sicoob
- 004 - Banco Nordeste
- 422 - Banco Safra
- 136 - Unicred Brasil
- 091 - Unicred
- 197 - Stone
- 077 - Banco Inter
- 509 - Olist Bank
- 509_GUEST - Olist Bank Convidado
- Outro
Available options:
001, 033, 041, 104, 104_SIGCB, 237, 341, 399, 748, 756, 004, 422, 136, 091, 197, 077, 509, 509_GUEST, OUTRO Pesquisa pelo gateway. Retorna apenas meios do tipo gateway
- 1 - Pagarme
- 2 - Moip
- 3 - Paypal
- 4 - Olistpay
- 5 - Pagarme V2
- 6 - Stonepos
- 7 - Smarttef Cielo
- 8 - Smarttef Rede
- 9 - Smarttef Getnet
- 10 - Smarttef Safrapay
- 11 - Smarttef Pagbank
- 12 - Smarttef Vero
- 13 - Smarttef Bin
- 14 - Smarttef Sicredi
- 15 - Smarttef Caixa
- 16 - Smarttef Sipag
- 17 - Smarttef Picpay
- 18 - Smarttef Redeflex
- 99 - Outro
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 99 Pesquisa pela situação do meio de recebimento
- 1 - Habilitado
- 2 - Desabilitado
Available options:
1, 2 Response
OK
Show child attributes
Show child attributes
